## ayatana-indicator-power 23.6.0-0+git20230628.1371+12.nightly.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(ayatana-indicator-power C CXX)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

set(PROJECT_VERSION "23.6.0")
set(PACKAGE ${CMAKE_PROJECT_NAME})

# Options
option(ENABLE_TESTS "Enable all tests and checks" OFF)
option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)
option(ENABLE_DEVICEINFO "Build with deviceinfo integration" OFF)

if(ENABLE_COVERAGE)
    set(ENABLE_TESTS ON)
    set(CMAKE_BUILD_TYPE "Coverage")
else()
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(ENABLE_WERROR)
    add_definitions("-Werror")
endif()

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
    add_definitions("-Weverything")
else()
    add_definitions("-Wall")
endif()

add_definitions("-Wno-sign-compare") # Needed for GTest on Ubuntu

##
##  GNU standard installation directories
##

include (GNUInstallDirs)

##
## Gettext
##

set(GETTEXT_PACKAGE "ayatana-indicator-power")
add_definitions(
  -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
  -DG_LOG_DOMAIN="${GETTEXT_PACKAGE}"
  -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
  -DLOW_BATTERY_SOUND="LowBattery.ogg"
)

##
##  Check for prerequisites
##

set(SERVICE_LIB "ayatanaindicatorpowerservice")
set(SERVICE_EXEC "ayatana-indicator-power-service")
add_definitions(-DSERVICE_EXEC="${SERVICE_EXEC}")

find_package (PkgConfig REQUIRED)
include (CheckIncludeFile)
include (FindPkgConfig)

set(
    SERVICE_DEPS REQUIRED
    glib-2.0>=2.36
    gio-2.0>=2.36
    gio-unix-2.0>=2.36
    libnotify>=0.7.6
    libayatana-common>=0.9.1
)

if (ENABLE_LOMIRI_FEATURES)
    list (
        APPEND
        SERVICE_DEPS
        lomiri-schemas
        lomiri-sounds
    )
    pkg_get_variable(LOMIRI_SOUNDSDIR lomiri-sounds soundsdir)
    add_definitions (
        -DLOMIRI_FEATURES_ENABLED
        -DLOMIRI_SOUNDSDIR="${LOMIRI_SOUNDSDIR}"
    )
endif ()

pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

if (ENABLE_DEVICEINFO)
    pkg_check_modules (DEVICEINFO IMPORTED_TARGET "deviceinfo")
    include_directories (${DEVICEINFO_INCLUDE_DIRS})
endif ()

##
##  custom targets
##

set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target (dist
                   COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
                   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_custom_target (cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2 --inline-suppr
                   ${CMAKE_SOURCE_DIR}/src
                   ${CMAKE_SOURCE_DIR}/tests)

include_directories (${CMAKE_CURRENT_SOURCE_DIR}/include)
include_directories (${CMAKE_CURRENT_BINARY_DIR}/include)

# actually build things
add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

# testing & coverage
if (ENABLE_TESTS)
    enable_testing ()
    add_subdirectory(tests)
    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        ENABLE_COVERAGE_REPORT(
            TARGETS ${SERVICE_LIB} ${SERVICE_EXEC}
            TESTS ${COVERAGE_TEST_TARGETS}
            FILTER /usr/include ${CMAKE_BINARY_DIR}/*
        )
    endif ()
endif ()

# Display config info

message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Unit tests: ${ENABLE_TESTS}")
message(STATUS "Build with -Werror: ${ENABLE_WERROR}")
message(STATUS "Build with Lomiri features: ${ENABLE_LOMIRI_FEATURES}")

=== debian/changelog ===
ayatana-indicator-power (23.6.0-0+git20230628.1371+12.nightly.1) bookworm; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bookworm package for
    packages.arctica-project.org repository (Git commit:
    7737c05592782133b241fca9c750ca6f582ec3ad).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 28 Jun 2023 15:11:28 +0200

ayatana-indicator-power (23.6.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 09 Jun 2023 07:53:45 +0200

ayatana-indicator-power (22.9.5-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 28 Feb 2023 23:47:40 +0100

ayatana-indicator-power (22.9.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 12 Feb 2023 21:24:15 +0100

ayatana-indicator-power (22.9.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sun, 13 Nov 2022 10:10:28 +0100

ayatana-indicator-power (22.9.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 12 Nov 2022 22:04:45 +0100

ayatana-indicator-power (22.9.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-power.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Sat, 12 Nov 2022 21:40:54 +0100

=== debian/control ===
Source: ayatana-indicator-power
Section: nightly/gnome
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras (>= 0.10),
               gcovr,
               lcov,
               libayatana-common-dev (>= 0.9.1),
               libnotify-dev (>= 0.7.6),
               libglib2.0-dev (>= 2.36),
               lomiri-schemas | hello,
# for packaging
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
# for tests
               libgtest-dev,
               googletest | google-mock,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.2.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common,
         upower,
Recommends: mate-indicator-applet | xfce4-indicator-plugin,
            zenity,
Suggests: powerd,
          unity-system-compositor (>= 0.0.4),
          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center (>= 3.1) | ubuntu-system-settings,
          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics,
          ayatana-ido (>=  0.10.0),
Breaks: indicator-power,
Replaces: indicator-power,
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.

## ayatana-indicator-power 24.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "23.6.0")
+set(PROJECT_VERSION "24.1.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options
@@ -16,6 +16,7 @@
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
 option(ENABLE_LOMIRI_FEATURES "Build with Lomiri-specific libraries, schemas and media" OFF)
 option(ENABLE_DEVICEINFO "Build with deviceinfo integration" OFF)
+option(ENABLE_RDA "Build with RDA (remote desktop awareness) support" ON)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -89,6 +90,17 @@
     )
 endif ()
 
+if (ENABLE_RDA)
+    list (
+        APPEND
+        SERVICE_DEPS
+        rda
+    )
+    add_definitions (
+      -DRDA_ENABLED
+    )
+endif ()
+
 pkg_check_modules (SERVICE_DEPS REQUIRED ${SERVICE_DEPS})
 include_directories (SYSTEM ${SERVICE_DEPS_INCLUDE_DIRS})

=== data/CMakeLists.txt ===
##
##  GSettings schema
##

set (SCHEMA_NAME "org.ayatana.indicator.power.gschema.xml")

# let GSettings do the rest
find_package(GSettings REQUIRED)
add_schema (${SCHEMA_NAME})

##
##  Systemd Unit File
##

pkg_check_modules(SYSTEMD systemd)
if (${SYSTEMD_FOUND})
    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
    message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

    set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
    set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
    set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

    # build it
    configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

    # install it
    install (FILES "${SYSTEMD_USER_FILE}"
             DESTINATION "${SYSTEMD_USER_DIR}")
endif()

##
##  XDG Autostart File
##

# where to install
set (XDG_AUTOSTART_DIR "/etc/xdg/autostart")
message (STATUS "${XDG_AUTOSTART_DIR} is the DBus Service File install dir")

set (XDG_AUTOSTART_NAME "${CMAKE_PROJECT_NAME}.desktop")
set (XDG_AUTOSTART_FILE "${CMAKE_CURRENT_BINARY_DIR}/${XDG_AUTOSTART_NAME}")
set (XDG_AUTOSTART_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${XDG_AUTOSTART_NAME}.in")

# build it
configure_file ("${XDG_AUTOSTART_FILE_IN}" "${XDG_AUTOSTART_FILE}")

# install it
install (FILES "${XDG_AUTOSTART_FILE}"
         DESTINATION "${XDG_AUTOSTART_DIR}")

##  Ayatana Indicators File
##

# where to install
set (AYATANA_INDICATOR_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/ayatana/indicators")
message (STATUS "${AYATANA_INDICATOR_DIR} is the Ayatana Indicators install dir")

set (AYATANA_INDICATOR_NAME "org.ayatana.indicator.power")
set (AYATANA_INDICATOR_FILE "${CMAKE_CURRENT_SOURCE_DIR}/${AYATANA_INDICATOR_NAME}")

install (FILES "${AYATANA_INDICATOR_FILE}"
         DESTINATION "${AYATANA_INDICATOR_DIR}")

=== src/CMakeLists.txt ===
if (ENABLE_DEVICEINFO)
    set(FLASHLIGHT_DEVICEINFO
        deviceinfo-flashlight.c)
    add_definitions(-DENABLE_LIBDEVICEINFO)
endif ()

# handwritten sources
set(SERVICE_MANUAL_SOURCES
    brightness.c
    datafiles.c
    ${FLASHLIGHT_DEVICEINFO}
    device-provider-mock.c
    device-provider-upower.c
    device-provider.c
    device.c
    flashlight.c
    notifier.c
    testing.c
    service.c
    utils.c)

# generated sources
include(GdbusCodegen)
set(SERVICE_GENERATED_SOURCES)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-repowerd
                                 com.lomiri
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/src/com.lomiri.Repowerd.xml)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-battery
                                 org.ayatana.indicator.power
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.power.Battery.xml)
add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-testing
                                 org.ayatana.indicator.power
                                 Dbus
                                 ${CMAKE_SOURCE_DIR}/data/org.ayatana.indicator.power.Testing.xml)

if (ENABLE_LOMIRI_FEATURES)
    add_gdbus_codegen_with_namespace(SERVICE_GENERATED_SOURCES dbus-accounts-sound
                                     com.lomiri.touch
                                     Dbus
                                     /usr/share/accountsservice/interfaces/com.lomiri.touch.AccountsService.Sound.xml)
endif()

# add the bin dir to our include path so the code can find the generated header files
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# the service library for tests to link against (basically, everything except main())
add_library(${SERVICE_LIB} STATIC ${SERVICE_MANUAL_SOURCES} ${SERVICE_GENERATED_SOURCES})
include_directories(${CMAKE_SOURCE_DIR})
link_directories(${SERVICE_DEPS_LIBRARY_DIRS})

# the executable: lib + main()
add_executable (${SERVICE_EXEC} main.c)
target_link_libraries (${SERVICE_EXEC} ${SERVICE_LIB} ${SERVICE_DEPS_LIBRARIES} ${DEVICEINFO_LIBRARIES})
install (TARGETS ${SERVICE_EXEC} RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_LIBEXECDIR}/${CMAKE_PROJECT_NAME}")

=== debian/changelog ===
ayatana-indicator-power (24.1.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:22 +0000

ayatana-indicator-power (24.1.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:50 +0000

ayatana-indicator-power (24.1.0-2) unstable; urgency=medium

  * debian/control:
    + Add to B-D: libdeviceinfo-dev.
    + Drop repowerd as alternative to upower. The repowerd is not an alternative
      to upower, it is an add-on service. Without upower, the power indicator
      is like a dead fish in the water.
  * debian/rules:
    + Build with -DENABLE_DEVICEINFO=ON.
  * debian/patches:
    + Add 1001_rda-is-local-vs-remote.patch. Use rda_session_is_remote()
      rather than rda_session_is_local() for checking that a session is
      not remote.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Feb 2024 11:50:39 +0100

ayatana-indicator-power (24.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Drop zenity from R:, following upstream's move regarding this.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 15:13:57 +0100

ayatana-indicator-power (23.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add B-D: librda-dev.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 27 Aug 2023 21:05:09 +0200

ayatana-indicator-power (23.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Refresh copyright to match upstream
  * debian/control: Add myself as uploader

 -- Marius Gripsgard <mariogrip@debian.org>  Sat, 29 Jul 2023 04:19:34 +0200

=== debian/control ===
Source: ayatana-indicator-power
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Debian UBports Team <team+ubports@tracker.debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Build-Depends: cmake,
               cmake-extras (>= 1.5-5~),
               gcovr,
               lcov,
               libnotify-dev,
               libglib2.0-dev,
               libayatana-common-dev (>= 0.9.5),
               librda-dev,
               libdeviceinfo-dev,
# for lomiri features
               lomiri-schemas (>= 0.1.1),
               lomiri-sounds (>= 22.02),
# for packaging
               debhelper-compat (= 13),
               intltool,
# for tests
               libgtest-dev,
               googletest,
               pkg-config,
               python3-dbusmock,
               dbus-test-runner,
               libdbustest1-dev,
# for systemd unit
               systemd [linux-any],
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-power

Package: ayatana-indicator-power
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ayatana-indicator-common (>= 0.8.0),
         upower,
Recommends: mate-indicator-applet | xfce4-indicator-plugin | lomiri,
Suggests: lomiri-system-compositor,
          mate-control-center | xfce4-settings | unity-control-center | gnome-control-center | lomiri-system-settings,
          mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics | lomiri-system-settings,
Breaks: indicator-power,
Replaces: indicator-power,
Description: Ayatana Indicator showing power state
 This Ayatana Indicator displays current power management information and
 gives the user a way to access power management preferences.
 .
 The Ayatana Indicator provides a generic, multi-desktop-env aware
 approach of accessing power information and management features.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_CMAKE_EXTRA_FLAGS = \
    -DENABLE_LOMIRI_FEATURES=ON \
    -DENABLE_DEVICEINFO=ON \
    -DENABLE_TESTS=ON \
    -DENABLE_COVERAGE=OFF \
    $(NULL)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

override_dh_install:
	find debian/ayatana-indicator-power -name \*.la -delete
	find debian/ayatana-indicator-power -name \*.a -delete
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-indicator-power/ayatana-indicator-power-(.+)\.tar\.gz

## ayatana-indicator-power 24.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "24.1.0")
+set(PROJECT_VERSION "24.5.1")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== debian/changelog ===
ayatana-indicator-power (24.5.1-3) unstable; urgency=medium

  * debian/control:
    + Move from R: to S: <indicator-renderer> packages (and refactor package
      list). These should be pulled-in via the desktop environment where
      AyatanaIndicators get used. Drop lomiri-system-compositor from S:.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:45:30 +0100

ayatana-indicator-power (24.5.1-2) unstable; urgency=medium

  * debian/control:
    + Fix URL in Vcs-Browser: field.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 22:51:08 +0200

ayatana-indicator-power (24.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_rda-is-local-vs-remote.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 29 May 2024 10:53:27 +0200

ayatana-indicator-power (24.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:08:14 +0200

ayatana-indicator-power (24.1.0-3) unstable; urgency=medium

  * debian/control:
    + Replace systemd by systemd-dev in B-D. (Closes: #1060588).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:54:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-power
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -30,12 +29,12 @@
                dbus-test-runner,
                libdbustest1-dev,
 # for systemd unit
-               systemd [linux-any],
-Standards-Version: 4.6.2
+               systemd-dev [linux-any],
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-power
+Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power
 
 Package: ayatana-indicator-power
 Architecture: any
@@ -43,8 +42,7 @@
          ${misc:Depends},
          ayatana-indicator-common (>= 0.8.0),
          upower,
-Recommends: mate-indicator-applet | xfce4-indicator-plugin | lomiri,
-Suggests: lomiri-system-compositor,
+Suggests: mate-indicator-applet | xfce4-indicator-plugin | indicator-applet | indicator-renderer,
           mate-control-center | xfce4-settings | unity-control-center | gnome-control-center | lomiri-system-settings,
           mate-power-manager | xfce4-power-manager | switchboard-plug-power | gnome-power-statistics | lomiri-system-settings,
 Breaks: indicator-power,

## ayatana-indicator-power 24.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set(PROJECT_VERSION "24.5.1")
+set(PROJECT_VERSION "24.5.2")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
 
 # Options

=== tests/CMakeLists.txt ===
find_package(GMock)
include_directories(${GMOCK_INCLUDE_DIRS})

# dbustest
pkg_check_modules(DBUSTEST REQUIRED
                  dbustest-1>=14.04.0)
include_directories (SYSTEM ${DBUSTEST_INCLUDE_DIRS})

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the ayatana-indicator-power schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_BINARY_DIR}/data/org.ayatana.indicator.power.gschema.xml
                    COMMAND cp -f ${CMAKE_BINARY_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

add_custom_target(
    gschemas-compiled ALL DEPENDS gschemas.compiled
)

# look for headers in our src dir, and also in the directories where we autogenerate files...
include_directories (${CMAKE_SOURCE_DIR}/src)
include_directories (${CMAKE_BINARY_DIR}/src)
include_directories (${CMAKE_CURRENT_BINARY_DIR})

###
###

function(add_test_by_name name)
  set (TEST_NAME ${name})
  set (COVERAGE_TEST_TARGETS ${COVERAGE_TEST_TARGETS} ${TEST_NAME} PARENT_SCOPE)
  add_executable (${TEST_NAME} ${TEST_NAME}.cc)
  target_link_options(${TEST_NAME} PRIVATE -no-pie)
  add_test (${TEST_NAME} ${TEST_NAME})
  add_dependencies (${TEST_NAME} ${SERVICE_LIB} gschemas-compiled)
  target_link_libraries (${TEST_NAME} ${SERVICE_LIB} ${DBUSTEST_LIBRARIES} ${SERVICE_DEPS_LIBRARIES} ${DEVICEINFO_LIBRARIES} ${GMOCK_LIBRARIES})
endfunction()
add_test_by_name(test-notify)
add_test(NAME dear-reader-the-next-test-takes-80-seconds COMMAND true)
add_test_by_name(test-device)

set(COVERAGE_TEST_TARGETS
  ${COVERAGE_TEST_TARGETS}
  PARENT_SCOPE
)

=== debian/changelog ===
ayatana-indicator-power (24.5.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Mar 2025 13:18:46 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libdbustest1-dev,
 # for systemd unit
                systemd-dev [linux-any],
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-power
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-power.git
